1. Home
  2. Maintenance
  3. What if a core update…

What if a core update causes an incompatibility with an existing plugin?

In rare cases we are able to roll you back but you should have your complete setup up-to-date. Server upgrades, core version and plugin updates are all covered by our internal system designed to protect you from security threats and performance degradation.

While incompatibilities are uncommon, they can happen and cause temporary outages. If you’re sensitive to this potentiality, customers can create a staging environment and have the updates accrue there first while disabling updates on the live domain. Our customers have a choice of whether they’d like to implement a server-wide or site-specific plugin auto update block.

In either case you have the ability to update each plugin yourself at your own time – we recommend pushing these updates within a week of the latest release, or have our team handle it via a quick support ticket.

Was this article helpful?